d.legend(1)	       Grass User's Manual	      d.legend(1)



NNAAMMEE
       dd..lleeggeenndd - Displays a legend for a raster map layer in the
       active frame on the graphics monitor.
       _(_G_R_A_S_S _D_i_s_p_l_a_y _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       dd..lleeggeenndd
       dd..lleeggeenndd hheellpp
       dd..lleeggeenndd  [--vvccssmm]  mmaapp==_n_a_m_e   [ccoolloorr==_n_a_m_e]   [lliinneess==_v_a_l_u_e]
       [tthhiinn==_v_a_l_u_e] [llaabbeellnnuumm==_v_a_l_u_e]

DDEESSCCRRIIPPTTIIOONN
       _d_._l_e_g_e_n_d displays a legend for a user-specified raster map
       layer in the active frame on the  graphics  monitor.   The
       legend's  size is based on the height of the active frame.
       The user should therefore take care to  create  a  display
       frame  of  suitable  dimensions	before	running _d_._l_e_g_e_n_d.
       _d_._l_e_g_e_n_d will only obscure those portions  of  the  active
       frame that directly underlie the legend.


       The  user  can  run  _d_._l_e_g_e_n_d  either non-interactively or
       interactively.  If the user specifies the name of a raster
       _m_a_p  layer  on the command line, the program will run non-
       interactively.  Default legend text _c_o_l_o_r  and  number  of
       _l_i_n_e_s  will be used unless the user specifies other values
       on the command line.


       Alternately, the user can simply type dd..lleeggeenndd on the com-
       mand  line; in this case, the program will prompt the user
       for parameter  values  using  the  standard  GRASS  parser
       interface.



OOPPTTIIOONNSS
   FFllaaggss::
       --vv     Do not show category labels

       --cc     Do not show category numbers

       --ss     Draw  smooth  gradient  (for floating point rasters
	      forced automatically)

       --mm     Use mouse to size & place legend




   PPaarraammeetteerrss::
       mmaapp    Name of raster map.

       ccoolloorr  Sets the legend's text color.
	      Options: red, orange, yellow, green, blue,  indigo,
	      white, black, brown, magenta, aqua, gray, grey
	      Default: white

       lliinneess  Number  of  text	lines (useful for truncating long
	      legends)
	      Options: 0-1000
	      Default: 0

       tthhiinn   Thinning factor (thin=10 gives cats 0,10,20...)
	      Options: 0-1000
	      Default: 1

       llaabbeellnnuumm
	      Number of labels for legend description
	      Options: 2-100
	      Default: 5


NNOOTTEE
       Note that when using the mouse to size & place the legend,
       if  you	make a horizontal box the values run from left to
       right and no category values are printed (you may want  to
       use  _d_._l_a_b_e_l for that).	If the user attempts to display a
       very long legend in a relatively short display frame,  the
       legend may appear in unreadably small text.

SSEEEE AALLSSOO
       _d_._c_o_l_o_r_m_o_d_e

       _d_._c_o_l_o_r_s

       _d_._c_o_l_o_r_t_a_b_l_e

       _d_._d_i_s_p_l_a_y

       _d_._e_r_a_s_e

       _d_._g_r_i_d

       _d_._r_a_s_t

       _d_._r_a_s_t_._l_a_b_e_l_s

       _d_._v_e_c_t

       _d_._w_h_a_t_._r_a_s_t

       _r_._r_e_c_l_a_s_s
       _p_a_r_s_e_r

AAUUTTHHOORRSS
       Bill  Brown,  U.S.  Army Construction Engineering Research
       Laboratories

	Improvements from various authors

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_1_/_2_5 _0_5_:_4_5_:_3_3 _$



GRASS 5.0					      d.legend(1)
